#
# spec file for package tucnak
#
# Copyright (c) 2021 Walter Fey DL8FCL
#
# This file is under MIT license
# Copyright (c) 2022 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           tucnak
Version:        4.34
Release:        1.67
Summary:        VHF and microwave contest log
License:        GPL-2.0
Group:          Productivity/Hamradio/Logging
Url:            http://tucnak.nagano.cz/
Source:         %{name}-%{version}.tar.gz

BuildRequires:  SDL-devel
BuildRequires:  binutils-devel
BuildRequires:  gpm-devel
BuildRequires:  libpng-devel
BuildRequires:  libzia-devel = %{version}
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(libftdi1)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sndfile)

%description
Tucnak is a amateur radio VHF and above contest logging program
with some useful features as networking, cw keying, ssb voicer,
sound recorder and more. User interface is based on Taclog.

%prep
%setup -q

%build
export CFLAGS="%optflags -fcommon"
%configure
%make_build

%install
%make_install
%suse_update_desktop_file -c tucnak Tucnak "VHF Contest logger" tucnak tucnak "Network;HamRadio"

%files
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/
/usr/lib/%{name}

%changelog
* Fri Jan 28 2022 Mariusz Woźniak <sp6ina@c44.pl>
- update to version 4.34
* Fri Jan 29 2021 Mariusz Woźniak <sp6ina@wp.pl>
- update to version 4.25
* Sat Jun  8 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.16
* Fri Feb 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.15
* Sat Feb 18 2017 dl8fcl@darc.de
- update to version 4.09
* Sun Aug 21 2016 dl8fcl@t-online.de
- update to version 4.08
* Wed May 11 2016 dl8fcl@t-online.de
- update to version 4.07
* Tue Feb 23 2016 dl8fcl@t-online.de
- update to version 4.05
* Thu Oct 22 2015 dl8fcl@darc.de
- import into build service
